
package de.ivu.elect.presentation.wahlvorschlag.action;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahlvorschlag.entity.Liste;
import de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagStatus;
import de.ivu.elect.presentation.wahl.CurrentWahlZulassungspruefungExtended;

public class ListeZulassungAblehnenAction extends AbstractListeZulassungAction {

  private static final long serialVersionUID = 1L;

  public ListeZulassungAblehnenAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.WAHLVORSCHLAG_QS_ZULASSUNG_ABLEHNEN;
  }

  @Override
  public boolean isDisabledInternal(Liste liste, CurrentWahlZulassungspruefungExtended currentWahlZulassungspruefung) {
    return !currentWahlZulassungspruefung.isZulassungAblehnenZulaessig(liste);
  }

  @Override
  protected WahlvorschlagStatus getWahlvorschlagStatus() {
    return WahlvorschlagStatus.NICHT_ZUGELASSEN;
  }

  @Override
  public String getLabelKey() {
    return "liste.search.action.nicht.zulassen";
  }
}
